[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockDropEvent

The type of an OnDockDrop handler.

## Declaration

Source position: controls.pp line 571

`type TDockDropEvent = procedure(`
`Sender: TObject;`
`Source: TDragDockObject;`
`X: Integer;`
`Y: Integer`
`) of object;`

## Arguments

`Sender` |  | The drop target (docksite control).
`Source` |  | The DragDock object, containing information about the dragged object.
`X` |  | X coordinate of the mouse on screen.
`Y` |  | Y coordinate of the mouse on screen.

## Description

An OnDockDrop event is sent by the drop target (dock site) on the drop of a dragged object.

## See also

TDragDropEvent |  | The type of an OnDragDrop notification handler.